Subject: Re: [rohc] Empty CSRC list issue in IR packet.

From: Kristofer Sandlund <[email-masked]>
Date: Mon, 01 Sep 2003 17:59:16 +0200

Hi Lars-Erik,

At the last interop test, the empty CSRC list was used as one byte set 
to 0, so I find it strange that there has been agreed a consensus on 
interpreting it as being not present. I cannot find this discussion in 
either the mail archive or the notes from this year's ROHC WG meetings 
(but maybe I have just missed it, since searching mail archives is not 
fun :)

 From RFC3095:

5.7.7.3. says:
       / Generic extension header list /   variable length

	Generic extension header list: Encoded according to section
      	 5.8.6.1, with all header items present in uncompressed form.

and 5.7.7.6. says
       /      Generic CSRC list        /  variable length
    	Generic CSRC list: CSRC list encoded according to section
           5.8.6.1, with all CSRC items present.

So by reading this, I cannot see how RFC3095 can be interpreted as 
having CSRC being possibly 0 bytes, while the extension header list must 
always be at least one byte (they have a practically identical definition).
With this in mind, it seems very much like the implementers guide is 
redefining the text in 3095 which seems like a bad thing to do.

Regards,
	Kristofer Sandlund, Effnet AB

Lars-Erik Jonsson (LU/EAB) wrote:
>>2) Section 4.3.3 of the implementer's guide should be removed.
> 
> 
> I do not agree, as we have already agreed on this interpretation of 3095.
> Personally, I would not be sure about the interpretation from 3095 only,
> so the implementer's guide should make this clear. Therefore, we agreed
> on the obvious interpretation, as currently stated in 4.3.3.
> 
> /L-E
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Tue, 2 Sep 2003 10:05:34 +0200

Kristofer,

We did discuss this, and it was not included in the guide without
first being brought to the list. We CAN decide how to interpret this,
my way of seeing it is that CC is the same field as in RTP, thus CC=0
means there are no CSRC's. If I am the only one with that opinion,
then we'll change it in the impl guide. Personally I just think it
is non-logic to send an empty list when there is a counter indicating
that the list is empty.

Just my 2 öre!
/L-E

> -----Original Message-----
> From: Kristofer Sandlund [mailto:[email-masked]]
> Sent: den 1 september 2003 17:59
> To: Lars-Erik Jonsson (LU/EAB)
> Cc: Ghyslain Pelletier (LU/EAB); Remi Pelland; [email-masked]'
> Subject: Re: [rohc] Empty CSRC list issue in IR packet.
> 
> 
> Hi Lars-Erik,
>

---

From: "Surtees, Abigail" <[email-masked]>
Date: Wed, 3 Sep 2003 18:29:48 +0100

Hi Lars-Erik,

While I can see that the CC field does provide enough information to allow
the CSRC list to be optional, I think that 3095 is clear that it is not
optional.  

IMHO the consensus of the discussion a few weeks ago was reached because it
was felt that the implementer's guide should not change something that is
clear and interoperable as written in the rfc.  As Kristofer mentioned,
there have been 4 interops where the byte of zero has been included and
worked without a problem.  Consequently, it was felt that it should be left
as in the rfc (to minimize confusion and so that current implementations
remain interoperable) but could be mentioned in the implementer's guide in a
section for future changes/enhancements e.g. when going to draft standard.

Best regards,

Abbie

> From: Lars-Erik Jonsson (LU/EAB) [mailto:[email-masked]]
> Sent: Tuesday, September 02, 2003 9:06 AM
> To: 'Kristofer Sandlund'
> Cc: [email-masked]'
> Subject: RE: [rohc] Empty CSRC list issue in IR packet.
> 
> Kristofer,
>

---

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Thu, 4 Sep 2003 08:11:40 +0200

OK, if that's the opinion of the group, that's how it will be!

I'll change that for the next update.

/L-E

> --
> Registered Office: Roke Manor Research Ltd, Siemens House, 
> Oldbury, Bracknell,
> Berkshire. RG12 8FZ
> 
> The information contained in this e-mail and any attachments 
> is confidential to
> Roke Manor Research Ltd and must not be passed to any third 
> party without
> permission. This communication is for information only and 
> shall not create or
> change any contractual relationship.
>